%define builtin_release_version 4.1
%ifarch i386
	%define builtin_release_name "koumei"
	%define update_release_name "SP3"
%endif
%ifarch ia64
	%define builtin_release_name sphinx
%endif
%ifarch x86_64
	%define builtin_release_name "mars"
	%define update_release_name "SP3"
%endif
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: Red Flag Linux release file
Name: redflag-release
Version: %{real_release_version}
Release: 9AX
Copyright: GPL
Group: System Environment/Base
Source: files4AS.tgz
Source1:redflag-artwork-dc41.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 ia64 x86_64

%description
Red Flag Linux release file

%prep

%setup

%install
mkdir -p $RPM_BUILD_ROOT/etc
%ifarch i386
echo "Red Flag DC Server release %{builtin_release_version} (%{real_release_name} %{update_release_name})" > $RPM_BUILD_ROOT/etc/%{name}-DC

echo "Red Flag Advanced Server release %{builtin_release_version} (%{update_release_name})" > $RPM_BUILD_ROOT/etc/%{name}-AS
%endif

echo "Red Flag DC Server release %{builtin_release_version} (%{real_release_name} %{update_release_name})" > $RPM_BUILD_ROOT/etc/%{name}

cp -rf etc usr $RPM_BUILD_ROOT/

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/redflag-release
cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/doc/redflag-release

%pre

if [ $1 = 2 ]; then
cp -f /etc/redflag-release /etc/redflag-release.bak
cp -f /etc/issue /etc/issue.bak
cp -f /etc/issue.net /etc/issue.net.bak
if [ -r /etc/redflag-issue ]; then
	cp -f /etc/redflag-issue /etc/redflag-issue.bak
fi
if [ -r /usr/sbin/changelanguage.sh ]; then
	cp -f /usr/sbin/changelanguage.sh /usr/sbin/changelanguage.sh.bak
fi
fi

%post
if [ $1 = 2 ]; then
%ifarch i386
grep "Advanced" /etc/redflag-release.bak >/dev/null 2>/dev/null 
if [ $? -eq 0 ]; then
	mv /etc/redflag-release-AS /etc/redflag-release
	cp -f /etc/redflag-release /etc/issue
	echo "Kernel \r on an \m" >> /etc/issue
	echo "" >> /etc/issue
	cp -f /etc/issue /etc/issue.net
	cp -f /etc/issue /etc/redflag-issue-new
	rm -f /etc/redflag-release-DC
	rm -f /etc/issue.bak
	rm -f /etc/issue.net.bak
	rm -f /usr/share/doc/redflag-release/redflag-artwork-dc41.tar.gz
else
	mv /etc/redflag-release-DC /etc/redflag-release
	if [ -r /etc/redflag-issue.bak ]; then
		cp -f /etc/redflag-release /etc/redflag-issue-new
		echo "Kernel \r on an \m" >> /etc/redflag-issue-new
		echo "" >> /etc/redflag-issue-new
		mv /usr/share/doc/redflag-release/redflag-artwork-dc41.tar.gz /usr/share/doc/
		rm -rf /usr/share/doc/redflag-release/*
		mv /usr/share/doc/redflag-artwork-dc41.tar.gz /usr/share/doc/redflag-release/
	else
		rm -f /etc/redflag-issue
		rm -rf /usr/share/doc/redflag-release/*
	fi
	rm -f /etc/redflag-release-AS
	if [ ! -r /usr/sbin/changelanguage.sh.bak ]; then
		rm -f /usr/sbin/changelanguage.sh
	else
		rm -f /usr/sbin/changelanguage.sh.bak
	fi
	mv /etc/issue.bak /etc/issue
	mv /etc/issue.net.bak /etc/issue.net
fi
rm -f /etc/redflag-release.bak
rm -f /etc/redflag-issue.bak
%endif
%ifarch x86_64
if [ -r /etc/redflag-issue.bak ]; then
	cp -f /etc/redflag-release /etc/redflag-issue-new
	echo "Kernel \r on an \m" >> /etc/redflag-issue-new
	echo "" >> /etc/redflag-issue-new
	mv /usr/share/doc/redflag-release/redflag-artwork-dc41.tar.gz /usr/share/doc/
	rm -rf /usr/share/doc/redflag-release/*
	mv /usr/share/doc/redflag-artwork-dc41.tar.gz /usr/share/doc/redflag-release/
else
	rm -f /etc/redflag-issue
	rm -rf /usr/share/doc/redflag-release/*
fi
if [ ! -r /usr/sbin/changelanguage.sh.bak ]; then
	rm -f /usr/sbin/changelanguage.sh
else
	rm -f /usr/sbin/changelanguage.sh.bak
fi
mv /etc/issue.bak /etc/issue
mv /etc/issue.net.bak /etc/issue.net
rm -f /etc/redflag-release.bak
rm -f /etc/redflag-issue.bak
%endif
else
rm -f /etc/redflag-release-DC
rm -f /etc/redflag-release-AS
rm -f /usr/sbin/changelanguage.sh
rm -rf /usr/share/doc/redflag-release/
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%ifarch i386
%attr(0644,root,root) /etc/%{name}-DC
%attr(0644,root,root) /etc/%{name}-AS
%endif
%attr(0644,root,root) /etc/%{name}
/etc/redflag-release
/usr/sbin/changelanguage.sh
/usr/share/doc/redflag-release/EULA
/usr/share/doc/redflag-release/EULA.ja
/usr/share/doc/redflag-release/EULA.zh_CN
/usr/share/doc/redflag-release/GPL
/usr/share/doc/redflag-release/INSTALLATION
/usr/share/doc/redflag-release/README
/usr/share/doc/redflag-release/RPM-GPG-KEY
%ifarch i386
/usr/share/doc/redflag-release/redflag-artwork-as41.tar.gz
%endif
/usr/share/doc/redflag-release/redflag-artwork-dc41.tar.gz

%changelog
* Tue Jul 25 2006 Hua Jie <jiehua@redflag-linux.com> 4.1-9AX
- update to SP3
- run post script only when update

* Wed Nov 30 2005 Hua Jie <jiehua@redflag-linux.com> 4.1-8
- to resolve the conflict with package redflag-artwork,
- we changed the file name redflag-issue to redflag-issue-new 

* Fri Oct 21 2005 Hua Jie <jiehua@redflag-linux.com> 4.1-7
- remove issue and issue.net

* Mon Oct 10 2005 Zhongyong Li <zylee@redflag-linux.com> 4.1-6
- update for SP2

* Mon Dec 20 2004 Hua Jie <jiehua@redflag-linux.com> 4.1-5
- rebuild for Update1
- support RedFlag DC 4.1 and Advanced 4.1

* Tue Oct 11 2004 Hua Jie <jiehua@redflag-linux.com> 4.1-4
- support x86_64

* Tue Jun 08 2004 Hua Jie <jiehua@redflag-linux.com> 4.1-3
- support ia64

* Sat Jan 17 2004 Hua Jie <jiehua@redflag-linux.com> 4.1-2
- remove /etc/issue and /etc/issue.net, because we use these two files from asianux-release.

* Wed Jan 14 2004 Hua Jie <jiehua@redflag-linux.com>
- create the package.
